CON 
  _clkmode = xtal1 + pll16x 
  _xinfreq = 5_000_000 
  ' Set pins and Baud rate for XBee comms   
  XB_Rx     = 0    ' XBee DOUT 
  XB_Tx     = 1    ' XBee DIN 
  XB_Baud   = 9600 
  ' Set pins and baud rate for PC comms  
  PC_Rx     = 31   
  PC_Tx     = 30 
  PC_Baud   = 9600
  ServoCh1 = 2                ' Servo to pin 2
  ServoCh2 = 3                ' Servo to pin 3
  ServoCh3 = 4                ' Servo to pin 4
  ServoCh4 = 5                ' Servo to pin 2
  ServoCh5 = 6                ' Servo to pin 3
  ServoCh6 = 7                ' Servo to pin 4 

con

  #0, CLS, HOME, #8, BKSP, TAB, LF, CLREOL, CLRDN, CR   ' PST formmatting control

      
Var 
  long stack[50]                                        ' stack space for second cog 
  long stack2[50]
  long DataIn
                                               
OBJ 
 
  XB    : "XBee_Object"
  SERVO : "Servo32v7.spin"
  PC    : "FullDuplexSerial"
  ADC   : "jm_adc0838_ez"
  
Pub Start
  PC.start(PC_Rx, PC_Tx, 0, PC_Baud)                    ' Initialize comms for PC         
  XB.start(XB_Rx, XB_Tx, 0, XB_Baud)                    ' Initialize comms for XBee   

  cognew(SERVOControl,@stack2)                          ' Start cog for Servo positioning
  SERVO.Start



PUB ServoControl

    SERVO.Start                                         ' Start servo handler
    
    repeat                                                                                                                      
       DataIn := XB.Rx      
       If DataIn == "A"                                 'Delimiter

             DataIn := XB.rxDec                            'receive data
             ' we'll drive servos based on data later
             PC.dec(DataIn)
             PC.tx(CR)
             
             DataIn := XB.rxDec                            'receive data
             ' we'll drive servos based on data later
             PC.dec(DataIn)
             PC.tx(CR)
                          
             DataIn := XB.rxDec                            'receive data
             ' we'll drive servos based on data later
             PC.dec(DataIn)
             PC.tx(CR)
                          
             DataIn := XB.rxDec                            'receive data
             ' we'll drive servos based on data later
             PC.dec(DataIn)
             PC.tx(CR)
                          
             DataIn := XB.rxDec                            'receive data
             ' we'll drive servos based on data later
             PC.dec(DataIn)
             PC.tx(CR)
                          
             DataIn := XB.rxDec                            'receive data
             ' we'll drive servos based on data later
             PC.dec(DataIn)
             PC.tx(CR)

        '     waitcnt(clkfreq / 2 + cnt)
             PC.tx(CLS)
             PC.tx(HOME)